Bug 181707 - Master password dialog text should indicate whether new or existing password is required
Master password dialog text should indicate whether new or existing password ...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
: UI
Depends on:
Blocks: 173413
  Show dependency treegraph
 
Reported: 2010-03-09 10:23 UTC by Vladimir Kvashin
Modified: 2010-04-13 17:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2010-03-09 10:23:13 UTC
Many users experienced the same difficulty with keyring:
when a master password dialog appears, it's unclear whether user is asked for a password to check or just to enter it first time.

From end user point of view these cases are quite different. In the case it's first time, "change" option does not make sense at all; user should think out a good password and enter it. On subsequent calls user should remember, which password has (s)he once entered and enter it exactly.

This really irritated each user I knew who faced this dialog.
Comment 1 Jesse Glick 2010-03-23 20:33:36 UTC
The dialog already says to either enter a new password or type in the same password you entered before. But should be able to change UI according to whether one has been entered before; may need to change how EncryptionProvider works a bit to differentiate between the two cases.
Comment 2 Jesse Glick 2010-03-23 20:35:08 UTC
Anyway this dialog is only used for platforms which lack a native keyring, which should be quite rare (just Solaris 10, tracked separately).
Comment 3 Jesse Glick 2010-04-12 21:59:20 UTC
Disabling "Change..." section the first time the dialog is shown. Should suffice in combination with explanatory text.

core-main #e2ff718237b5
Comment 4 Quality Engineering 2010-04-13 17:35:51 UTC
Integrated into 'main-golden', will be available in build *201004131450* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e2ff718237b5
User: Jesse Glick <jglick@netbeans.org>
Log: #181707: different GUI in case no master password has yet been set.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo